<?php

namespace Pinpoint\Feefo\Block\Adminhtml\FeefoReview\Edit;

use Magento\Framework\View\Element\UiComponent\Control\ButtonProviderInterface;

/**
 * Class BackButton
 * @package Pinpoint\Feefo\Block\Adminhtml\FeefoReview\Edit
 */
class BackButton extends GenericButton implements ButtonProviderInterface
{
    /**
     * @return array
     */
    public function getButtonData()
    {
        return [
            'label' => __('Back'),
            'on_click' => sprintf("location.href = '%s';", $this->getUrl('feefo/reviews/products')),
            'class' => 'back',
            'sort_order' => 10    
        ];
    }
}
