<?php

namespace Pinpoint\Feefo\Ui\Component\Listing\DataProviders\Pinpoint\Feefo\Service;

/**
 * Class ServiceList
 * @package Pinpoint\Feefo\Ui\Component\Listing\DataProviders\Pinpoint\Feefo\Service
 */
class ServiceList extends \Magento\Ui\DataProvider\AbstractDataProvider
{
    /**
     * ServiceList constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param \Pinpoint\Feefo\Model\ResourceModel\FeefoServiceReview\CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        \Pinpoint\Feefo\Model\ResourceModel\FeefoServiceReview\CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }
}
